///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class ProductTopicDataFetchProductTopicsData {
/*
{
  "id": 92,
  "topicName": "toán11"
}
*/

  int? id;
  String? topicName;

  ProductTopicDataFetchProductTopicsData({
    this.id,
    this.topicName,
  });
  ProductTopicDataFetchProductTopicsData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    topicName = json['topicName']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['topicName'] = topicName;
    return data;
  }
}

class ProductTopicDataFetchProductTopics {
/*
{
  "nextToken": "JTNGaWQlM0QzOQ==",
  "data": [
    {
      "id": 92,
      "topicName": "toán11"
    }
  ]
}
*/

  String? nextToken;
  List<ProductTopicDataFetchProductTopicsData?>? data;

  ProductTopicDataFetchProductTopics({
    this.nextToken,
    this.data,
  });
  ProductTopicDataFetchProductTopics.fromJson(Map<String, dynamic> json) {
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <ProductTopicDataFetchProductTopicsData>[];
      v.forEach((v) {
        arr0.add(ProductTopicDataFetchProductTopicsData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class ProductTopicData {
/*
{
  "fetchProductTopics": {
    "nextToken": "JTNGaWQlM0QzOQ==",
    "data": [
      {
        "id": 92,
        "topicName": "toán11"
      }
    ]
  }
}
*/

  ProductTopicDataFetchProductTopics? fetchProductTopics;

  ProductTopicData({
    this.fetchProductTopics,
  });
  ProductTopicData.fromJson(Map<String, dynamic> json) {
    fetchProductTopics = (json['fetchProductTopics'] != null) ? ProductTopicDataFetchProductTopics.fromJson(json['fetchProductTopics']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchProductTopics != null) {
      data['fetchProductTopics'] = fetchProductTopics!.toJson();
    }
    return data;
  }
}

class ProductTopic {
/*
{
  "data": {
    "fetchProductTopics": {
      "nextToken": "JTNGaWQlM0QzOQ==",
      "data": [
        {
          "id": 92,
          "topicName": "toán11"
        }
      ]
    }
  }
}
*/

  ProductTopicData? data;

  ProductTopic({
    this.data,
  });
  ProductTopic.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? ProductTopicData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}